Subject: Re: [PATCH v3 0/3] cpu: pseries: Cpu offline states framework

From: Dipankar Sarma <[email-masked]>
Date: Thu, 17 Sep 2009 01:47:49 +0530

On Wed, Sep 16, 2009 at 07:22:35PM +0200, Peter Zijlstra wrote:
> On Wed, 2009-09-16 at 22:33 +0530, Vaidyanathan Srinivasan wrote:
> > * Peter Zijlstra <[email-masked]> [2009-09-16 18:35:16]:
> > 
> > > Now if you were to try and online the cpus in the guest, it'd fail
> > > because the cpus aren't backed anymore, and the hot-plug simply
> > > times-out and fails.
> > > 
> > > And we're still good, right?
> > 
> > The requirement differ here.  If we had offlined 2 vCPUs for the
> > purpose of system reconfiguration, the expected behavior with offline
> > interface will work right.  However the proposed cede interface is
> > needed when we want them to temporarily go away but still come back
> > when we do an online.  We want the online to always succeed since the
> > backing physical resources are not relinquished.  The proposed
> > interface facilitates offline without relinquishing the physical
> > resources assigned to LPARs.
> 
> Then make that the platform default and leave the lpar management to
> whatever pokes at the lpar?

That could have worked - however lpar management already uses
the same sysfs interface to poke. The current semantics make the lpar 
vcpu deconfig state the platform default assuming that it will be used for
lpar management. The only clean way to do this without breaking lpar
management stuff is to add another state - "inactive" and retain backward
compatibility.

Thanks
Dipankar